﻿// Sketchables.NET - Rapid SketchFlow Prototyping
// (c) Copyright 2010 Philipp Sumi
// Contact and Information: http://www.hardcodet.net
//
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993 for details.
// All other rights reserved.
// 
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE


namespace Sketchables
{
  public class SketchStyleNames
  {
    //declared in SketchFlow styles (SketchStyles.xaml) of the SketchFlow project
    public const string TextBox = "BasicTextBox-Sketch";
    public const string CheckBox = "CheckBox-Sketch";
    public const string RadioButton = "RadioButton-Sketch";
    public const string ListBox = "ListBox-Sketch";
    public const string ListBoxItem = "ListBoxItem-Sketch";
    public const string TabControl = "TabControl-Sketch";
    public const string TabItem = "TabItem-Sketch";
    public const string TextBlock = "BasicTextBlock-Sketch";
    public const string TextBlockTitle = "TitleLeft-Sketch";
    public const string TextBlockSubtitle = "SubtitleLeft-Sketch";
    public const string HyperlinkButton = "HyperlinkButton-Sketch";
    public const string ProgressBar = "ProgressBar-Sketch";
    public const string ComboBox = "ComboBox-Sketch";
    public const string Button = "Button-Sketch";


    
    //declared in Generic.xaml of the Sketchables library
    public const string Border = "SketchableBorder";
  }
}
